package com.ruoyi.interfaces.domain.vo;

import com.aizuda.snailjob.model.request.base.JobRequest;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

import java.util.HashMap;

public class JobRequestVo extends JobRequest {
    private HashMap<String,Object> argsStrMap;
    private String[] shardingArgs;

    private Integer shardNum;

    public Integer getShardNum() {
        return shardNum;
    }

    public void setShardNum(Integer shardNum) {
        this.shardNum = shardNum;
    }

    public String[] getShardingArgs() {
        return shardingArgs;
    }

    public void setShardingArgs(String[] shardingArgs) {
        this.shardingArgs = shardingArgs;
    }

    public HashMap<String, Object> getArgsStrMap() {
        return argsStrMap;
    }

    public void setArgsStrMap(HashMap<String, Object> argsStrMap) {
        this.argsStrMap = argsStrMap;
    }

    public JobRequestVo(HashMap<String, Object> argsStrMap) {
        this.argsStrMap = argsStrMap;
    }

    public JobRequestVo() {
    }
}
